Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.traits
Class TraitEnum

    java.lang.Object
      org.apache.fop.traits.TraitEnum

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  BorderStyle, RuleStyle

public abstract class TraitEnum
extends java.lang.Object
implements java.io.Serializable

Base class for enumeration classes representing traits.

See Also:
  Serialized Form

Constructor Summary
`protected` | `TraitEnum(java.lang.String name, int enumValue)` Constructor to add a new named item.

Method Summary
`int` | `getEnumValue()` Returns the enumeration value (one of `Constants`.EN_*).
`java.lang.String` | `getName()` Returns the name of the enumeration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TraitEnum

    protected TraitEnum(java.lang.String name,
                        int enumValue)

  Constructor to add a new named item.

Parameters:
  `name` - Name of the item.
  `enumValue` - the `Constants`.EN_* value

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the enumeration.

  Returns:
    the name of the enumeration

### getEnumValue

    public int getEnumValue()

  Returns the enumeration value (one of `Constants`.EN_*).

  Returns:
    the enumeration value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.